Find the answer to your Linux question:
Results 1 to 4 of 4
Hello all, I have a webserver running joomla 1.5 site on RHEL 5. Now I want to install another site which need newer version of MySQL and PHP. How do ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Sep 2008
    Posts
    19

    Upgrading PHP and MySQL for Joomla


    Hello all,

    I have a webserver running joomla 1.5 site on RHEL 5. Now I want to install another site which need newer version of MySQL and PHP.

    How do I go about upgrading these without disturbing the existing installations. How can the dependencies be taken care of?

    Please guide....

    Thanks

  2. #2
    Just Joined!
    Join Date
    May 2006
    Posts
    3

    Joomla upgrade

    Quote Originally Posted by amitkush View Post
    Hello all,

    I have a webserver running joomla 1.5 site on RHEL 5. Now I want to install another site which need newer version of MySQL and PHP.

    How do I go about upgrading these without disturbing the existing installations. How can the dependencies be taken care of?

    Please guide....

    Thanks
    Install the Backup software as provided, make a backup, install your new version of PHP and MYSQL and restore your back-up web-site.


  3. #3
    Just Joined!
    Join Date
    Sep 2008
    Posts
    19
    Quote Originally Posted by freitsma View Post
    Install the Backup software as provided, make a backup, install your new version of PHP and MYSQL and restore your back-up web-site.

    Thanks freitsma.

    How can I upgrade the existing PHP and MySQL versions to new versions and take care of the dependencies.

    The existing installations can run well in new versions. So, don't really need the older versions.

    How can I take care of dependencies?

    Thanks

  4. $spacer_open
    $spacer_close
  5. #4
    Linux Newbie
    Join Date
    Jan 2013
    Posts
    116
    Quote Originally Posted by amitkush View Post
    How can I upgrade the existing PHP and MySQL versions to new versions and take care of the dependencies.

    The existing installations can run well in new versions. So, don't really need the older versions.

    How can I take care of dependencies?
    Hi amitkush,

    First of all make sure that your existing website code should be compatible with upgraded php and mysql version.

    Secondly you should take backup php.ini file and /var/lib/mysql and create dump of databases.

    and notice current php and mysql version.

    Download and install Remi rpm and epel rpm
    Remove all old PHP rpms
    #yum remove php*
    Now install php and its modules from yum remi repostries.
    #yum –enablerepo=remi install php php-common php-pear php-pdo php-mysql php-pgsql php-pecl-memcache php-gd php-mbstring php-mcrypt php-xml php-imap php-devel php-odbc php-bcmath php-ldap
    After installing restart httpd services
    #/etc/init.d/httpd restart
    Now You may get errors if your php cannot combine with lower versions of MySQL. So, you need to upgrade MySQL.

    Now remove the older version of MySQL
    #yum remove MySQL
    Now install MySQL through remi rpms:
    #yum –enablerepo=remi install mysql mysql-server mysql-connector-odbc
    To start mysql automatically on server restart please provide the following line which will start mysql on run levels 2, 3 and 5
    #chkconfig –levels 235 mysqld on
    Thanks,

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •